> For the complete documentation index, see [llms.txt](https://docs.danaya.africa/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.danaya.africa/documentation/integration-mode/rest-api/kyb/company-verification.md).

# Company Verification

Based on the input information provided, we give you a matching score comparing the information given and the ones found in official databases.

<details>

<summary>Compute a Company Scoring (experimental)</summary>

<mark style="background-color:green;">POST /verification/companyScore</mark>

**Headers:**

* &#x20;Api-Key (required): provided by Danaya
* Api-Secret (required): provided by Danaya
* Content-Type (required): application/json

here you have to provide all company's informations as they are on the RCCM

```json
{
  "rccmNumber": "string",
  "duration": 0,
  "address": "string",
  "shareCapital": "string",
  "associates": [
    "string"
  ],
  "corporateName": "string",
  "legalStatus": "string"
}
```

**Responses:**&#x20;

For each of the values provided in the request body, we will give you a matching score ranging from 0 to 100.

* **OK:**

  * Code: 200
  * Body

  ```json
  {
    "id": 0,
    "companyNameScore": 0,
    "legalStatusScore": 0,
    "addressScore": 0,
    "shareCapitalScore": 0,
    "durationScore": 0
  }
  ```
* &#x20;Code : 401
* Code: 400

</details>
